<template>
  <div>
    <div class="toast" :class="'toast--' + type">
      <button class="btn-close toast--btn" @click="close()"></button>
      <p class="toast--message">{{ message }}</p>
    </div>
  </div>
</template>

<script>
export default {
  name: "ToastMessage",
  props: {
    type: {
      type: String,
      default: "info",
    },
    message: {
      type: String,
      required: true,
    },
  },
  methods: {
    close() {
      this.$destroy();
      this.$el.parentNode.removeChild(this.$el);
    },
  },
};
</script>

<style lang="css" >
.toast .toast--message {
  margin-right: 2rem;
}
</style>
